@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

/* Content Wrapper style  */
.content-wrapper {
    background-color: #f9f8f6;
}
.h-full {
    height: 100%;
}
/*End Content Wrapper style  */

/* Sidebard Style  */
.sidebar-menu > li > a {
    padding: 15px 5px 15px 15px;
    display: block;
}
.skin-black-light .sidebar-menu > li.active > a,
.skin-black-light .sidebar-menu > li.menu-open > a,
.skin-black-light .sidebar-menu > li:hover > a,
.skin-blue-light .sidebar-menu > li.active > a,
.skin-blue-light .sidebar-menu > li.menu-open > a,
.skin-blue-light .sidebar-menu > li:hover > a,
.skin-green-light .sidebar-menu > li.active > a,
.skin-green-light .sidebar-menu > li.menu-open > a,
.skin-green-light .sidebar-menu > li:hover > a,
.skin-purple-light .sidebar-menu > li.active > a,
.skin-purple-light .sidebar-menu > li.menu-open > a,
.skin-purple-light .sidebar-menu > li:hover > a,
.skin-red-light .sidebar-menu > li.active > a,
.skin-red-light .sidebar-menu > li.menu-open > a,
.skin-red-light .sidebar-menu > li:hover > a,
.skin-yellow-light .sidebar-menu > li.active > a,
.skin-yellow-light .sidebar-menu > li.menu-open > a,
.skin-yellow-light .sidebar-menu > li:hover > a {
    border-bottom-right-radius: 40px;
    border-top-right-radius: 8px;
}
.skin-blue-light .sidebar-menu > li > a {
    font-family: 'Poppins', sans-serif !important;
    font-weight: 500;
    padding: 15px 5px 15px 8px !important;
    display: flex;
    align-items: center;
    width: 100% !important;
    gap: 6px;
}
.skin-blue-light .sidebar-menu > li > a > i {
    font-size: 18px;
}
/* End Sidebard Style  */

/* Dt button style  */
.dt-buttons.btn-group {
    display: flex !important;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
}
.dt-buttons.btn-group .btn-default {
    margin-left: 6px;
    margin-bottom: 6px;
}
/* End Dt button style  */

/* Remove form Vendor.css for border radius */
/*.btn-group>.btn:first-child:not(:last-child):not(.dropdown-toggle){border-top-right-radius:0;border-bottom-right-radius:0}*/

/* Data Table style  */
.dataTables_scrollHeadInner {
    width: 100% !important;
}
.dataTables_scrollHeadInner table {
    width: 100% !important;
}
.dataTables_scrollBody {
    width: 100% !important;
}
.dataTables_scrollBody table {
    width: 100% !important;
}
.table > thead {
    background-color: #ebeffb;
}
.table-bordered > tbody > tr > td,
.table-bordered > tbody > tr > th,
.table-bordered > tfoot > tr > td,
.table-bordered > tfoot > tr > th,
.table-bordered > thead > tr > td,
.table-bordered > thead > tr > th {
    border: none !important;
}
table.table-bordered.dataTable tbody td,
table.table-bordered.dataTable tbody th {
    border-bottom-width: 0;
    vertical-align: middle;
}
.table > tbody > tr > td,
.table > tbody > tr > th,
.table > tfoot > tr > td,
.table > tfoot > tr > th,
.table > thead > tr > td {
    padding: 8px;
    line-height: 1.42857143;
    vertical-align: top;
    border-bottom: 1px dashed #dbdfe9 !important;
}
.table-striped > tbody > tr:nth-of-type(odd) {
    background-color: transparent !important;
}
.dataTables_wrapper {
    padding-top: 5px !important;
}
#stock_report_table_wrapper .table-striped > tbody > tr:nth-of-type(even) {
    background-color: transparent !important;
}
.pos_product_div .table > tbody > tr > td,
#stock_report_table_wrapper .table > tbody > tr > td {
    vertical-align: middle !important;
}
/* End Data Table style  */

/* Data Table Pagination style  */
.pagination {
    background: #f0f0f0 !important;
    padding: 5px;
    border-radius: 8px;
}
.pagination > li > a,
.pagination > li > span {
    font-size: 16px;
    position: relative;
    float: left;
    padding: 8px 15px;
    margin-left: 2px;
    line-height: 1.42857143;
    color: #886cc0;
    text-decoration: none;
    border-radius: 5px;
    transition: all 0.2s ease-in-out;
}
.pagination > .active > a,
.pagination > .active > a:focus,
.pagination > .active > a:hover,
.pagination > .active > span,
.pagination > .active > span:focus,
.pagination > .active > span:hover {
    z-index: 3;
    color: #fff;
    cursor: default;
    background-color: #886cc0;
}
.pagination > li > a:focus,
.pagination > li > a:hover,
.pagination > li > span:focus,
.pagination > li > span:hover {
    z-index: 2;
    color: #886cc0;
    background-color: #fff;
}

/* End Data Table Pagination style  */

/* Action Button Desgin  */
.table tbody tr .btn {
    transition: all 0.3s ease-in-out;
}
.table tbody tr .btn-primary {
    background: #dcecff !important;
    border-color: #dcecff !important;
    color: #1b84ff !important;
}
.table tbody tr .btn-primary:hover {
    background: #1b84ff !important;
    border-color: #1b84ff !important;
    color: #fff !important;
}
.table tbody tr .btn-info {
    background: #e8ddff !important;
    border-color: #e8ddff !important;
    color: #7239ea !important;
}
.table tbody tr .btn-info:hover {
    background: #7239ea !important;
    border-color: #7239ea !important;
    color: #fff !important;
}
.table tbody tr .btn-danger {
    background: #fde0e5 !important;
    border-color: #fde0e5 !important;
    color: #fc2e53 !important;
}
.table tbody tr .btn-danger:hover {
    background: #fc2e53 !important;
    border-color: #fc2e53 !important;
    color: #fff !important;
}
.table tbody tr .btn-success {
    background: #e0f8ed !important;
    border-color: #e0f8ed !important;
    color: #39bf5f !important;
}
.table tbody tr .btn-success:hover {
    background: #39bf5f !important;
    border-color: #2dce89 !important;
    color: #fff !important;
}
/* End Action Button Desgin  */

/* Inputs and Select Style  */
.form-control {
    height: 38px !important;
    padding: 8px 12px !important;
    background-color: #f5f5f5 !important;
    border: none !important;
}
.dataTables_filter input[type='search'] {
    height: 38px !important;
    padding: 8px 12px !important;
}
/* End Inputs and Select Style  */
#price_type_div .form-group {
    margin-bottom: 0px !important;
}
.table > tbody > tr > td {
    vertical-align: bottom !important;
}

:where(.btn-primary, .btn-file) {
    background: #90181b !important;
    border-color: #90181b !important;
}
:where(.btn-primary, .btn-file):is(:hover, .active, :focus) {
    background: #6c0d0fe0 !important;
    border-color: #6c0d0fe0 !important;
}
.select2-container--default .select2-selection--multiple .select2-selection__choice {
    background: #90181b !important;
    border-color: #90181b !important;
    padding: 1px 10px;
    color: #fff;
}
.daterangepicker .ranges li.active {
    background-color: #90181b;
    color: #fff;
}
.box-header :is(.ph-duotone, .ph-bold) {
    color: #fff;
    font-size: 18px;
    background-color: #90181b;
    padding: 3px;
    border-radius: 3px;
}
/* Pos Page style  */
.pos-page-section {
    height: 95vh;
}
.pos-page-section .h-100 {
    height: 90vh;
}
#product_category_div .all-post-category {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 10px;
}
.all-post-category .category-item {
    display: block;
    background: #fff;
    width: 100%;
    padding: 10px;
    border-radius: 6px;
    text-align: center;
    font-size: 12px;
    font-weight: 600;
    cursor: pointer;
    box-shadow: rgba(149, 157, 165, 0.2) 0px 8px 24px;
    transition: all 0.3s ease-in-out;
}
.all-post-category .category-item:is(:hover, :active, .active) {
    color: #90181b;
    background: #da703743;
}
.category-col {
    height: 100%;
    margin-top: 10px;
    overflow-y: scroll;
    overflow-x: hidden;
}
.category-col::-webkit-scrollbar {
    display: none;
}
#pos_table .product_row .form-control {
    height: 34px !important;
}
#pos_table .product_row .input-number .btn-default {
    padding: 6px 9px !important;
}
#pos_table .product_row .webase-inputs {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 5px;
}
#pos_table tbody tr:last-child td {
    border: none !important;
}

@media screen and (max-width: 992px) {
    .category-col {
        height: auto;
        overflow-y: hidden;
        overflow-x: scroll;
        margin-top: 0;
        margin-right: 10px;
    }
    #product_category_div .all-post-category {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: start;
    }

    #mobile_product_suggestion_modal .all-post-category .category-item {
        white-space: nowrap;
    }
}
@media screen and (max-width: 991px) {
    .webase-pos-place-order-col {
        position: fixed;
        width: 175px;
        background: #efefef;
        top: 0;
        height: 100vh;
        right: -100%;
        padding: 35px 8px 10px 8px;
        z-index: 22;
    }
    .running-order-slide .webase-pos-place-order-col {
        right: 0;
    }
    .webase-pos-place-orders-btn {
        left: 8px;
        right: 8px;
        bottom: 2px;
    }
    .webase-pos-place-orders {
        height: calc(100vh - 142px);
    }
    .webase-running-order {
        display: block;
    }
    #btnCalculator {
        display: none;
    }
    .rn-order-title {
        font-size: 16px;
    }
    .pos-page-section {
        height: calc(100vh - 90px);
    }
    .pos_product_right_side {
        height: calc(100vh - 105px);
    }
    .edit-pos-product-div {
        height: calc(100vh - 522px);
    }
    .pos_product_div {
        height: calc(100vh - 478px);
    }
    .webase-pos-order-table {
        height: calc(100vh - 115px);
    }
}
@media screen and (max-width: 600px) {
    .pos-page-section {
        height: calc(100vh - 94px);
    }
    .pos_product_div {
        height: calc(100vh - 530px);
    }
    .webase-pos-order-table {
        height: calc(100vh - 130px);
    }
    .pos_product_right_side {
        height: calc(100vh - 115px);
    }
    .edit-pos-product-div {
        height: calc(100vh - 568px);
    }
    .webase-pos-order-table .form-control,
    .webase-pos-order-table .select2-selection--single {
        font-size: 12px;
    }
    .webase-pos-edit-fields .form-control,
    .webase-pos-edit-fields .select2-selection--single {
        font-size: 12px;
    }
}
@media screen and (max-width: 300px) {
    #pos_table > thead > tr > th {
        font-weight: 500 !important;
        font-size: 13px !important;
    }
}
